import Icon from './Icon';
import Chip from './Chip';
import Link from './Link';
import Tabs from './Tabs';
import Input from './Input';
import Select from './Select';
import Switch from './Switch';
import Button from './Button';
import Tooltip from './Tooltip';
import Checkbox from './Checkbox';
import Timeline from './Timeline';
import Accordion from './Accordion';
import Typography from './Typography';
import TextField from './TextField';
import TimelineDot from './TimelineDot';
import CssBaseline from './CssBaseline';
import LoadingButton from './LoadingButton';
import InputAdornment from './InputAdornment';
import TimelineContent from './TimlineContent';
import TimelineConnector from './TimelineConnector';

export default function ComponentsOverrides(theme) {
  return Object.assign(
    Icon(theme),
    Chip(theme),
    Link(theme),
    Tabs(theme),
    Input(theme),
    Select(theme),
    Switch(theme),
    Button(theme),
    Tooltip(theme),
    Checkbox(theme),
    Timeline(theme),
    Accordion(theme),
    Typography(theme),
    TextField(theme),
    TimelineDot(theme),
    CssBaseline(theme),
    LoadingButton(theme),
    InputAdornment(theme),
    TimelineContent(theme),
    TimelineConnector(theme)
  );
}
